<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:21:24 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Include (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Include (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Include.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" target="_top">Frames</a></li>
<li><a href="Include.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</div>
<h2 title="Interface Include" class="title">Interface Include</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/IncludeImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl">IncludeImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Include</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Include</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 An arbitrary string that is added to header and body file. Although primarily intended for manual include directives, it can be used for arbitrary definitions.
 "preBody" is added to a C++ body file before automatic include statements, "body" after
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBody--"><code><em>Body</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getPreBody--"><code><em>Pre Body</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getHeader--"><code><em>Header</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_package--"><code><em>Base package</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_class--"><code><em>Base class</em></code></a></li>
   <li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_Classifier--"><code><em>Base Classifier</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude--"><code>C_CppPackage.getInclude()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_class--">getBase_class</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base class</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_Classifier--">getBase_Classifier</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Classifier</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_package--">getBase_package</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base package</b></em>' reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBody--">getBody</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Body</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getHeader--">getHeader</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Header</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getPreBody--">getPreBody</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Pre Body</b></em>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_class-org.eclipse.uml2.uml.Class-">setBase_class</a></span>(org.eclipse.uml2.uml.Class&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_class--"><code><em>Base class</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_Classifier--"><code><em>Base Classifier</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_package-org.eclipse.uml2.uml.Package-">setBase_package</a></span>(org.eclipse.uml2.uml.Package&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_package--"><code><em>Base package</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBody-java.lang.String-">setBody</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBody--"><code><em>Body</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setHeader-java.lang.String-">setHeader</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getHeader--"><code><em>Header</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setPreBody-java.lang.String-">setPreBody</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getPreBody--"><code><em>Pre Body</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBody--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBody</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBody()</pre>
<div class="block">Returns the value of the '<em><b>Body</b></em>' attribute.
 The default value is <code>""</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Body</em>' attribute isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Body</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBody-java.lang.String-"><code>setBody(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_Body--"><code>C_CppPackage.getInclude_Body()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBody-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBody</h4>
<pre>void&nbsp;setBody(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBody--"><code><em>Body</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Body</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBody--"><code>getBody()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPreBody--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreBody</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPreBody()</pre>
<div class="block">Returns the value of the '<em><b>Pre Body</b></em>' attribute.
 The default value is <code>""</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Pre Body</em>' attribute isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Pre Body</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setPreBody-java.lang.String-"><code>setPreBody(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_PreBody--"><code>C_CppPackage.getInclude_PreBody()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPreBody-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreBody</h4>
<pre>void&nbsp;setPreBody(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getPreBody--"><code><em>Pre Body</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Pre Body</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getPreBody--"><code>getPreBody()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHeader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeader</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getHeader()</pre>
<div class="block">Returns the value of the '<em><b>Header</b></em>' attribute.
 The default value is <code>""</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Header</em>' attribute isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Header</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setHeader-java.lang.String-"><code>setHeader(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_Header--"><code>C_CppPackage.getInclude_Header()</code></a></dd>
</dl>
</li>
</ul>
<a name="setHeader-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeader</h4>
<pre>void&nbsp;setHeader(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getHeader--"><code><em>Header</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Header</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getHeader--"><code>getHeader()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_package</h4>
<pre>org.eclipse.uml2.uml.Package&nbsp;getBase_package()</pre>
<div class="block">Returns the value of the '<em><b>Base package</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base package</em>' reference isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base package</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_package-org.eclipse.uml2.uml.Package-"><code>setBase_package(org.eclipse.uml2.uml.Package)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_Base_package--"><code>C_CppPackage.getInclude_Base_package()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_package-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_package</h4>
<pre>void&nbsp;setBase_package(org.eclipse.uml2.uml.Package&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_package--"><code><em>Base package</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base package</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_package--"><code>getBase_package()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_class</h4>
<pre>org.eclipse.uml2.uml.Class&nbsp;getBase_class()</pre>
<div class="block">Returns the value of the '<em><b>Base class</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base class</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_class-org.eclipse.uml2.uml.Class-"><code>setBase_class(org.eclipse.uml2.uml.Class)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_Base_class--"><code>C_CppPackage.getInclude_Base_class()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_class-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_class</h4>
<pre>void&nbsp;setBase_class(org.eclipse.uml2.uml.Class&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_class--"><code><em>Base class</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_class--"><code>getBase_class()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Classifier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Classifier</h4>
<pre>org.eclipse.uml2.uml.Classifier&nbsp;getBase_Classifier()</pre>
<div class="block">Returns the value of the '<em><b>Base Classifier</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Classifier</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Classifier</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-"><code>setBase_Classifier(Classifier)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html#getInclude_Base_Classifier--"><code>C_CppPackage.getInclude_Base_Classifier()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Classifier-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_Classifier</h4>
<pre>void&nbsp;setBase_Classifier(org.eclipse.uml2.uml.Classifier&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_Classifier--"><code><em>Base Classifier</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Classifier</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html#getBase_Classifier--"><code>getBase_Classifier()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Include.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" target="_top">Frames</a></li>
<li><a href="Include.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
